        LIST P=16F84A,R=DEC
        INCLUDE<P16F84A.INC>
PORTA EQU 5
PORTB EQU 6
TRISA EQU 133
TRISB EQU 134
STATUS EQU 3
ZPOMAL3 EQU 13
ZPOMAL2 EQU 14
ZPOMAL1 EQU 15
        ORG 8
        BSF     STATUS,RP0
        MOVLW   B'00000000'
        MOVWF   TRISA
        MOVLW   B'00000000'
        MOVWF   TRISB
        BCF     STATUS,RP0
	CLRWDT
	CLRF	PORTA
	CLRF	PORTB
SVETLO  MOVLW   B'01110011'      ;1RADEK 1 ROZSV
	MOVWF	PORTB
        MOVLW   B'00000100'
        MOVWF   PORTA
        CALL    CEKEJ      ;ODECITA CAS
        CALL    NULUJ      ;NULUJE PORTY
        CALL    CEKEJ      ;ODECITA CAS
        MOVLW   B'01110011'      ;1RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000100'
        MOVWF   PORTA
        CALL    CEKEJ       ;ODECITA CAS
        CALL    NULUJ       ;NULUJE PORTY
        CALL    CEKEJ       ;ODECITA CAS
        MOVLW   B'10101010'      ;2RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001010' 
        MOVWF   PORTA
        CALL    CEKEJ       ;ODECITA CAS
        CALL    NULUJ       ;NULUJE PORTY
        CALL    CEKEJ       ;ODECITA CAS
        MOVLW   B'10101010'       ;2RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001010'
        MOVWF   PORTA
        CALL    CEKEJ      ;ODECITA CAS
        CALL    NULUJ      ;NULUJE PORTY
        CALL    CEKEJ      ;ODECITA CAS
        MOVLW   B'01010101'       ;3RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000101'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'01010101'       ;3RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000101'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'00110011'       ;4RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'00110011'       ;4RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'10101010'       ;5RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'10101010'       ;5RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'00011100'        ;6RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000111'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'00011100'        ;6RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000111'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'11100011'        ;7RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001000'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'11100011'        ;7RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001000'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'00110011'        ;8RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000011'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'00110011'        ;8RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000011'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'11001100'        ;9RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001100'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'11001100'        ;9RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001100'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'01010101'        ;10RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000101'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'01010101'        ;10RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000101'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'10101010'        ;11RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'10101010'        ;11RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'01110011'       ;12RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000100'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'01110011'       ;12RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000100'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'10101010'       ;13RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'10101010'       ;13RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'01010101'       ;14RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000101'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'01010101'       ;14RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000101'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'00110011'     ;15RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'00110011'      ;15RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'10101010'      ;16RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'10101010'       ;16RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'00011100'       ;17RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000111'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'00011100'       ;17RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000111'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'11100011'      ;18RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001000'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'11100011'      ;18RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001000'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'00110011'       ;19RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000011'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'00110011'       ;19RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000011'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'11001100'       ;20RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001100'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'11001100'       ;20RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001100'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'01010101'       ;21RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000101'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'01010101'       ;21RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00000101'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'10101010'      ;22RADEK 1 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        MOVLW   B'10101010'      ;22RADEK 2 ROZSV
        MOVWF   PORTB
        MOVLW   B'00001010'
        MOVWF   PORTA
        CALL    CEKEJ
        CALL    NULUJ
        CALL    CEKEJ
        GOTO    SVETLO

NULUJ   MOVLW   B'0000000'
        MOVWF   PORTB
        MOVLW   B'0000000'
        MOVWF   PORTA
        RETURN

CEKEJ   MOVLW   2
        MOVWF   ZPOMAL3
NASTAV1 MOVLW   200        
        MOVWF   ZPOMAL2
NASTAV2 MOVLW   200       
        MOVWF   ZPOMAL1
        CLRWDT
NASTAV3 DECFSZ  ZPOMAL1,1
        GOTO    NASTAV3
        DECFSZ  ZPOMAL2,1
        GOTO    NASTAV2
        DECFSZ  ZPOMAL3,1
        GOTO    NASTAV1
        RETURN
         END
